var $quick = jQuery.noConflict();

(function ($quick) {



	$quick(document).ready( function () {

		$quick(document).click(function () {

		$quick('.wk_qo_product_list').hide();

		});

		$quick(document).on('click', 'td.wk_quick_order_delete_row i.wk_quick_order_delete_icon', function() {
			var confirmation = confirm("Are you sure you want to delete the row ?");
			if( confirmation ) $quick(this).parent().parent('tr').remove();
		});

		$quick(".wk_quick_order_direction").on("click", () => {

			var data_modal = $quick(".wk_quick_order_direction").data('modal-trigger');

			$quick( '#'+data_modal ).toggleClass('open');

		});

		$quick(".quick-modal-header .close").on("click", () => {

			$quick("#quick-modal").removeClass("open");

		});


		$quick(document).on('click', 'ul.wk_qo_product_list li', function(){
			var element = $quick(this);
			var id_product = $quick(this).attr('data-product-id');
			if ( id_product ) {
				$quick.ajax({
					url: qapif_script.qapi_admin_ajax,
					type: 'GET',
					data: "action=get_input_selected_product" + "&input=" + parseInt(id_product) + "&nonce=" + qapif_script.quick_api_nonce,
					success: function( result ) {

						if (result) {

							var parent_element = element.parent().parent().parent().parent();
							var sku = parent_element.children('td.wk_qo_product_sku_col').children('input.wk_qo_product_sku');
							var reference = parent_element.children('td.wk_qo_product_ref_col').children('input.wk_qo_product_ref');
							var product_name = parent_element.children('td.wk_qo_product_name_col').children('input.wk_qo_product_name');
							var image = parent_element.children('td.wk_qo_product_img_col').children('span.product-image');
							var product_link = parent_element.children('td.wk_qo_product_img_col').children('span').find('a');
							var price = parent_element.children('td.wk_qo_product_price').children('span');
							var quantity = parent_element.children('td.wk_qo_product_quantity').children('div.qty').find('input.wk-quick-order-qty');
							var product_info = parent_element.children('td.wk_qo_product_name_col').children('.wk_qo_product_info');
							var combination = parent_element.children('td.wk_qo_product_combination').children('select.wk_qo_product_combination_select');
							reference.val(result.product_id);
							product_name.val(result.title);
							sku.val(result.sku);
							no_attr = 'Not Avaialble';
							out_of_stock = 'Out of stock';
							
							if ( result.image ) {
								content = '<a href="'+result.permalink+'" target="_blank">'+result.image+'</a>';

								image.empty().append(content);
							}

							if( result.stock == null || ( result.stock != 'undefined' && result.stock ) ) {
								if( result.stock == null ) {

									quantity.val(1);

								} else {

									quantity.val(result.stock);

								}
								product_info.html();

							} else {
								product_info.addClass('wk_quick_order_error');
								product_info.html(out_of_stock);
								quantity.val(result.stock);
							}

							var combination_html = '';

							if ( result.variations != false ) {

								$quick.each(result.variations, (key, val) => {

									combination_html += '<option value="'+val.variation_id+'" data-price="'+val.variation_price+'" data-qty="'+val.variation_max_stock+'" data-minimal-quantity="'+val.variation_min_stock+'" data-sku="' + val.variation_sku+'"';
									attributes = val.variation_attributes;
									attributeName = '';
									$quick.each( attributes, (akey, aval) => {

										if( akey != 0 ) {
											$comma = ', ';
										} else{
											$comma = '';
										}

										attributeName += $comma + Object.keys(aval) + ' - ' + Object.values(aval);
									});

									if (key == 0) {
										combination_html += ' selected=selected';
										price.html(val.variation_formated_price);

										if (val.variation_max_stock != 'undefined' && !val.variation_max_stock) {
											product_info.addClass('wk_quick_order_error');
											product_info.html(out_of_stock);
											quantity.val(val.variation_max_stock);
										} else {
											product_info.html('');
											quantity.val(val.variation_max_stock);
										}
										quantity.attr('max', val.variation_max_stock);
										quantity.attr('min', val.variation_min_stock);
									}
									combination_html += '>'+attributeName+'</option>';

								});

							} else {

								minimal_quantity = 1;
								combination_html = '<option value="-1">'+no_attr+'</option>';
								price.html(result.price);
								quantity.attr('min', minimal_quantity);
								quantity.attr('max', result.stock);
							}

							combination.html(combination_html);

							product_info.html('');
						

						}

						element.parent().parent().removeClass('show');
					},
					complete: function() {
						requestRunning = false;
					}
				})
			}
		});

		$quick( ".wk_qo_product_combination_select" ).on("change", function(){
			var var_id = $quick(this).val();
			var price = $quick(this).find(':selected').data('price');
			var qty = $quick(this).find(':selected').data('qty');
			var imageVar = $quick(this).find(':selected').data('image');
			var min_qty = $quick(this).find(':selected').data('minimal-quantity');
			var sku = $quick(this).find(':selected').data('sku');

			if (var_id && price && min_qty) {
				
				var tableRow = $quick(this).closest("tr");
				var tabsku = tableRow.children('td.wk_qo_product_sku_col').children('input.wk_qo_product_sku');
				var reference = tableRow.children('td.wk_qo_product_sku_col').children('input.wk_qo_product_ref');
				var image = tableRow.children('td.wk_qo_product_img_col').children('span.product-image');
				var priceField = tableRow.children('td.wk_qo_product_price').children('span');
				var quantity = tableRow.children('td.wk_qo_product_quantity').children('div.qty').find('input.wk-quick-order-qty');
				reference.val(var_id);
				quantity.val(qty);
				if ( imageVar != undefined ) {

					content = '<a href="" target="_blank"><img src="'+imageVar+'"></a>';

					image.empty().append(content);
				}
				tabsku.val(sku)
				quantity.attr('max', qty);
				quantity.attr('min', min_qty);	
				priceField.html('<span><span>' + priceField.children('span').children('span').html() +'</span>'+ parseFloat( price ).toFixed(2)+ '</span>');

			}

		});

		$quick(document).on('click','#wk_quick_order_add_row', function(ev) {

			ev.preventDefault();
			$quick.ajax({
				url: qapif_script.qapi_admin_ajax,
				type: 'POST',
				data: "action=get_add_product_tmpl" + "&nonce=" + qapif_script.quick_api_nonce,
				success: function(result) {

					if (result != 0) {
						$quick('#wk_quick_order_form tbody').append(result);
						// addTouchSpin();
					}
				},
				complete: function() {
					requestRunning = false;
				}
			})
		});

		$quick("#wk_quick_order_file").on( "change", function(evt) {

			var file_name = evt.target.files[0].name;
			$quick(".custom-file span").html(file_name);
		});

		$quick("#wk_quick_order_product_table").on( "keyup", ".wk_qo_product_name", function() {

			productInput = $quick(this).val();

			if( productInput ) {
				var lister = '.wk_qo_products_search_list';
				searchProductAjax( $quick(this), lister, productInput );
			}

		});

		// ISSUE 14
		$quick("#wk_quick_order_product_table").on("keyup", ".wk_qo_product_sku", function(){
			skuInput = $quick(this).val();
			if(skuInput) {
				var lister = '.wk_qo_products_search_list';
				searchProductAjax( $quick(this), lister, skuInput);
			}
		});

		function searchProductAjax( element, parent, search_ref ) {

			if ( search_ref ) {

				$quick.ajax({
					url: qapif_script.qapi_admin_ajax,
					type: 'GET',
					data: "action=get_input_search_products" + "&input=" + search_ref + "&nonce=" + qapif_script.quick_api_nonce,
					beforeSend: function () {
					},
					success: function (result) {

						if ( result ) {

							var listHtml = '<ul class="wk_qo_product_list">';

							$quick.each( result, function ( key, val ) {

								if( val.variations == true ) {

									listHtml += '<li data-product-id='+val.product_id+' data-product-name="'+val.title+'">'+val.title+'<i class="plus-ico">+</i></li>'

								} else if( val.variations == false ) {

									listHtml += '<li data-product-id='+val.product_id+' data-product-name="'+val.title+'">'+val.title+'</li>'

								}

							});

							listHtml += '</ul>';

							element.siblings(parent).addClass('show').removeClass('alert alert-danger').addClass('show');

							element.siblings(parent).html(listHtml);

						} else {

							element.siblings(parent).addClass('show').addClass('alert alert-danger');
							element.siblings(parent).html(noproduct);
						}

					},
					error: function (error) {

						console.log(error);

					}
				});

			}
		}






	});

})(jQuery);