<?php
/**
 * Hooks
 *
 * @class POS_Hooks
 * @version 1.0.0
 * @package woo-pos/include/
 * @category Class
 * @author webkul
 */

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}

/**
 * Hooks
 *
 * @class Quick_Order_Hooks
 * @version 1.0.0
 * @package woo-quick-order/include/
 * @category Class
 * @author webkul
 */
class Quick_Order_Hooks {
	
	/**
	 * Constructor
	*/
	public function __construct() {

		add_action( 'admin_menu' , 'webkul_quick_order_admin_menu',1 );
  
		add_action( 'admin_enqueue_scripts', 'quick_order_admin_enqueue_script' );

		add_action( 'wp_enqueue_scripts', 'quick_order_front_enqueue_script' );

		add_filter( 'quick_get_default_rows', 'let_quick_get_default_rows', 10, 1 );
		
		add_filter( 'quick_get_resultant_products', 'let_quick_get_resultant_products', 10, 1 );
 
	}

}

new Quick_Order_Hooks();