<?php

    if ( ! defined( 'ABSPATH' ) ) {

        exit; // Exit if accessed directly

    }

    global $product;

    $product_variations = $product->get_available_variations();
    $type = $product->get_type();

    if( $type == 'variable' ) {

        $variation = array();

        $product_variations = $product->get_available_variations();

        foreach ($product_variations as $key => $value) {

            $is_active = $value['variation_is_active'];

            $is_in_stock = $value['is_in_stock'];

            $is_purchasable = $value['is_purchasable'];

            if( $is_active && $is_purchasable && $is_in_stock ) {

                $variation_id = $value['variation_id'];

                $variation_image = $value['image']['src'];

                $variation_price = $value['display_price'];
                // $variation_image =  isset( $value['image'] ) ? $value['image']['gallery_thumbnail_src'] : '';
                $variation_min_qty = $value['min_qty'];

                $variation_max_qty = $value['max_qty'];

                $i = 0;

                $attributeName = '';

                foreach ( $value['attributes'] as $vkey => $vvalue ) {

                if ( strpos( $vkey, 'attribute_pa_') !== false ) {

                    $vkey = str_replace( 'attribute_pa_', '', $vkey );

                } else {

                    $vkey = str_replace( 'attribute_', '', $vkey );

                }

                if( $i != 0 ) {
                    $comma = ', ';
                } else{
                    $comma = '';
                }

                $attributeName = $attributeName .$comma .$vkey.' - '.$vvalue;


                $i++;

                }

                array_push ( $variation,
                    array (
                        'variation_id'  => $variation_id,
                        'variation_price' => $variation_price,
                        'variation_image' => $variation_image,
                        'variation_attributes' => $attributeName,
                        'variation_min_stock' => $variation_min_qty,
                        'variation_max_stock' => $variation_max_qty,
                    )
                );

            }


        }

        ?>

        <td data-title="<?php echo esc_attr__('Combination', 'wk_quick'); ?>" class="woocommerce-orders-table__cell wk_qo_product_combination">
            <select class="form-control form-control-select wk_qo_product_combination_select" name="idProductAttribute[]">
            <?php

            foreach ($variation as $rvkey => $rvvalue) {
                ?>
                <option value="<?php echo $rvvalue['variation_id']; ?>" data-image="<?php echo $rvvalue['variation_image']; ?>" selected="selected" data-price="<?php echo $rvvalue['variation_price']; ?>" data-qty="<?php echo $rvvalue['variation_max_stock']; ?>" data-minimal-quantity="<?php echo $rvvalue['variation_min_stock']; ?>">
                <?php echo $rvvalue['variation_attributes']; ?>
                </option>

                <?php

            }
            ?>

            </select>
        </td>

        <?php
    }