<?php
/**
 * Installation related functions and actions.
 *
 * @author 		Webkul
 * @category 	Admin
 * @package 	woo-quick-order/Classes
 * @version     1.0.0
 */
if ( ! defined( 'ABSPATH' ) ){ 
	exit; // Exit if accessed directly
}
if ( ! class_exists( 'Wc_Quick_Install' ) ) :
/**
 * Wc_Quick_Install Class
 */
class Wc_Quick_Install {
	/**
	* Hook in tabs.
	*/
	
	public function __construct() {
		return $this;
	} 

	/**
	 * Install table
	*/
	public function wc_quick_install(){
		 global	$wpdb;
         $leadTitle = 'Quick Order';
         $leadContent = "[quick_order]";
		 $postStatus = 'publish'; 
		   
		 $page_found = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM " . $wpdb->posts . " WHERE post_type='page' AND post_content LIKE %s LIMIT 1", "%{$leadContent}%" ));
		 
		 if( ! $page_found ) {
			$new_post = array(
				'post_title'     => $leadTitle,
				'post_content'   => $leadContent,
				'post_status'    => $postStatus,
				'post_author'    => 1,
				'post_type'      => 'page',
				'comment_status' => 'closed',
			);
			
			$post_id = wp_insert_post( $new_post );
		} else {
			wp_update_post( array(
				'ID'             =>  $page_found,
				'post_status'    =>  'publish',
				));

		}
		 
	}
	 
	 
}

endif;